<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Действия'; 
include_once '../sys/inc/thead.php';
title();
err();
aut();
if(isset($user)){ 
$int = intval(abs($_GET['uid']));
if($int != null)
{
 $result = mysql_query("SELECT count(*) AS total FROM user WHERE id=$int");
    $total = mysql_fetch_array($result);
    $total = $total['total'];
 if($total == 0)
 {
  echo 'Такого пользователя не существует!';
include_once '../sys/inc/tfoot.php';
  exit;
 }
}

if($int == null)
 {
  echo 'Такого пользователя не существует!';
include_once '../sys/inc/tfoot.php';
  exit;
 }
$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id`= $int LIMIT 1")); 

echo "<div class='adm2'>";
echo 'Действия с <a href="/info.php?id='.$ank['id'].'"><b>'.$ank['nick'].'</b></a>.<br/>';

if ($ank['id']!=$user['id']) {

$k_dei=mysql_result(mysql_query("SELECT count(*) FROM `mod_dei_sp`"),0);
if($k_dei==0){echo '<select><option>Действий нет!</option></select><br/>';
}else{
$q=mysql_query("SELECT * FROM `mod_dei_sp` ORDER BY `price` ASC");
echo 'У вас <b>'.$user['balls'].'</b> баллов. В скобках указана цена действия в баллах<br/>';

echo'<form action="dei.php?uid='.$ank['id'].'&amp;act=ok" method="post" name="form" >'; echo '<select name="go" />';
while($row=mysql_fetch_assoc($q)){
echo'<option value="'.$row['id'].'" >'.$row['name'].' ('.$row['price'].')</option>'; 
};
echo'</select><br/>';
echo '<input class="subbutton" type="submit" value="OK" />';
echo '</form>'; }; };  $act=htmlspecialchars(trim($_GET['act']));
echo "</div>";

echo "<div class='adm'>";
switch ($act){
default:
$k_post=mysql_result(mysql_query("SELECT count(*) FROM `mod_dei_go` WHERE `uid`='".$ank['id']."' "),0);

$onpage=6;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;
if($k_post==0){echo 'С данным пользователем еще не совершали никаких действий!';break;};

$q=mysql_query("SELECT * FROM `mod_dei_go`  WHERE `uid`='".$ank['id']."' ORDER BY `id` DESC LIMIT $start, $onpage");
echo "<br/>";
while($row=mysql_fetch_assoc($q)){
echo '<a href="/info.php?id='.$row['go_uid'].'"><b>'.$row['go_name'].'</b></a> '.$row['name'].'<br/> '.date("d.m.y в H:i:s ",$row['date']).'<br/><br/>';
};

if ($k_page>1)str('?uid='.$ank['id'].'&amp;',$k_page,$page); 
break;
case 'ok' :

$go=(int)$_POST['go'];

if(!$go || $go<0){echo 'Пустые параметры!';break;};
$x=mysql_query("SELECT * FROM `mod_dei_sp` WHERE `id`='$go'");
if(!mysql_num_rows($x)){echo 'Такого действия не существует!';break;};
$x=mysql_fetch_assoc($x);
if($user['balls']<$x['price']){
echo' Недостаточно баллов!<br/>';
}else{
if($ank['id']==$user['id']){
echo'Себе делать действия запрещено!<br/>';


}else{
mysql_query("UPDATE `user` SET `balls`=`balls`-'".$x['price']."' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `mod_dei_go` (`uid`,`name`,`go_uid`,`go_name`,`date`)VALUES('".$ank['id']."','".$x['name2']."','".$user['id']."','".$user['nick']."','".time()."')");

$pm_msg='Здравствуйте, с вами совершенно новое действие, пользователь [b]'.$user['nick'].'[/b] '.$x['name2'].'';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('$pm_id', '".$ank['id']."', '$pm_msg', '".time()."')");
header ("Location: dei.php?uid=".$ank['id']."");






header ("Location: dei.php?uid=".$ank['id']."");



}; };
break;



};
echo "</div>";

echo '<div class="adm2"><a href="/info.php">В анкету</a></div>';
}else{
echo '<div class="adm2">Действия доступны только для авторизованых пользователей!</div>';
};


include_once '../sys/inc/tfoot.php';
?>